For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTCreate Hourly Report Preset
      • POSTCreate Hourly Report Root Preset
      • DELDelete Hourly Report Preset
      • GETGet Hourly Report Preset by ID
      • GETGet Hourly Report Presets
      • PATCHUpdate Hourly Report Preset
LogoLogo
SupportDeel Home
EndpointsProjects

Get Hourly Report Presets

GET
/contracts/:contract_id/timesheets/presets
GET
/rest/v2/contracts/:contract_id/timesheets/presets
$curl https://api.letsdeel.com/rest/v2/contracts/contract_id/timesheets/presets \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "rate": 75.5,
6 "title": "string",
7 "description": "Monthly timesheet template for tracking billable hours",
8 "hourly_report_root_preset": {
9 "id": "123e4567-e89b-12d3-a456-426614174000",
10 "title": "Standard Monthly Template",
11 "description": "Base template for monthly timesheet reporting",
12 "file": {
13 "id": "123e4567-e89b-12d3-a456-426614174000",
14 "name": "your_file_name",
15 "type": "pdf"
16 },
17 "type": "RATE"
18 },
19 "file": {
20 "id": "123e4567-e89b-12d3-a456-426614174000",
21 "name": "your_file_name",
22 "type": "pdf"
23 }
24 }
25 ],
26 "page": {
27 "cursor": "next_page_token_123",
28 "total_rows": 100
29 }
30}

Returns saved hourly report presets for the specified contract, optionally scoped to a work statement. Results support cursor-based pagination and can be ordered by title or creation date. Token scopes: timesheets:read

Was this page helpful?
Previous

Update Hourly Report Preset

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequiredformat: "uuid"
ID of the Deel contract

Query parameters

work_statement_idstringOptionalformat: "uuid"

ID of the work statement (optional)

order_bystringOptionalDefaults to title

Field to order results by (title or created_at)

order_directionstringOptionalDefaults to ASC

Direction of ordering (ASC or DESC)

cursorstringOptional
Pagination cursor for fetching next set of results
limitintegerOptional1-100Defaults to 100
Number of results to return per page

Response

Successful operation.
datalist of objects
pageobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/